## wxFilterOutputStream

A filter stream has the capability of a normal stream but it can be placed on top of another stream. So, for example, it can compress, encrypt the data which are passed to it and write them to another stream.

Derived from

wxOutputStream
wxStreamBase

Include files

<wx/stream.h>

Note

The use of this class is exactly the same as of wxOutputStream. Only a constructor differs and it is documented below.

See also

wxFilterClassFactory
wxFilterInputStream

Members

wxFilterOutputStream::wxFilterOutputStream

### wxFilterOutputStream::wxFilterOutputStream

wxFilterOutputStream(wxOutputStream& stream)

wxFilterOutputStream(wxOutputStream* stream)

Initializes a "filter" stream.

If the parent stream is passed as a pointer then the new filter stream takes ownership of it. If it is passed by reference then it does not.